kio Library: KFileTreeView Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileTreeView Class Reference

The filetreeview offers a treeview on the file system which behaves like a QTreeView showing files and/or directories in the file system. More...

`#include <kfiletreeview.h>`

Inheritance diagram for KFileTreeView:

[legend]
Collaboration diagram for KFileTreeView:

[legend]
List of all members.

## Public Slots
virtual void | setShowFolderOpenPixmap (bool showIt=true)
## Signals
void | onItem (const QString &)
void | dropped (QWidget *, QDropEvent *)
void | dropped (QWidget *, QDropEvent *, KURL::List &)
void | dropped (KURL::List &, KURL &)
void | dropped (QWidget *, QDropEvent *, KURL::List &, KURL &)
void | dropped (QDropEvent *, QListViewItem *)
void | dropped (KFileTreeView *, QDropEvent *, QListViewItem *)
void | dropped (QDropEvent *, QListViewItem *, QListViewItem *)
void | dropped (KFileTreeView *, QDropEvent *, QListViewItem *, QListViewItem *)
## Public Member Functions
| KFileTreeView (QWidget *parent, const char *name=0)
KFileTreeViewItem * | currentKFileTreeViewItem () const
KURL | currentURL () const
KFileTreeBranch * | addBranch (const KURL &path, const QString &name, bool showHidden=false)
virtual KFileTreeBranch * | addBranch (const KURL &path, const QString &name, const QPixmap &pix, bool showHidden=false)
virtual KFileTreeBranch * | addBranch (KFileTreeBranch *)
virtual bool | removeBranch (KFileTreeBranch *branch)
KFileTreeBranch * | branch (const QString &searchName)
KFileTreeBranchList & | branches ()
virtual void | setDirOnlyMode (KFileTreeBranch *branch, bool)
KFileTreeViewItem * | findItem (KFileTreeBranch *brnch, const QString &relUrl)
KFileTreeViewItem * | findItem (const QString &branchName, const QString &relUrl)
bool | showFolderOpenPixmap () const
## Protected Slots
virtual void | slotNewTreeViewItems (KFileTreeBranch *, const KFileTreeViewItemList &)
virtual void | slotSetNextUrlToSelect (const KURL &url)
virtual QPixmap | itemIcon (KFileTreeViewItem *, int gap=0) const
## Protected Member Functions
virtual bool | acceptDrag (QDropEvent *event) const
virtual QDragObject * | dragObject ()
virtual void | startAnimation (KFileTreeViewItem *item, const char *iconBaseName="kde", uint iconCount=6)
virtual void | stopAnimation (KFileTreeViewItem *item)
virtual void | contentsDragEnterEvent (QDragEnterEvent *e)
virtual void | contentsDragMoveEvent (QDragMoveEvent *e)
virtual void | contentsDragLeaveEvent (QDragLeaveEvent *e)
virtual void | contentsDropEvent (QDropEvent *ev)
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KURL | m_nextUrlToSelect

## Detailed Description

The filetreeview offers a treeview on the file system which behaves like a QTreeView showing files and/or directories in the file system.

KFileTreeView is able to handle more than one URL, represented by KFileTreeBranch.

Typical usage: 1. create a KFileTreeView fitting in your layout and add columns to it 2. call addBranch to create one or more branches 3. retrieve the root item with KFileTreeBranch::root() and set it open if desired. That starts the listing.

Definition at line 66 of file kfiletreeview.h.

## Member Function Documentation

KFileTreeViewItem * KFileTreeView::currentKFileTreeViewItem | ( |  | ) | const

| Returns: the current (i.e. selected) item Definition at line 586 of file kfiletreeview.cpp. References QListView::selectedItem(). Referenced by currentURL().

KURL KFileTreeView::currentURL | ( |  | ) | const

| Returns: the URL of the current selected item. Definition at line 591 of file kfiletreeview.cpp. References currentKFileTreeViewItem(), and KFileTreeViewItem::url(). Referenced by KDirSelectDialog::url().

KFileTreeBranch * KFileTreeView::addBranch | ( | const KURL & | path,
|  | const QString & | name,
|  | bool | showHidden = `false`
| ) |

  | Adds a branch to the treeview item. This high-level function creates the branch, adds it to the treeview and connects some signals. Note that directory listing does not start until a branch is expanded either by opening the root item by user or by setOpen on the root item. Returns: a pointer to the new branch or zero Parameters:
  | path | is the base url of the branch
  | name | is the name of the branch, which will be the text for column 0
  | showHidden | says if hidden files and directories should be visible
Definition at line 357 of file kfiletreeview.cpp. References KMimeType::mimeType(), and KFileTreeBranch::pixmap(). Referenced by addBranch().

KFileTreeBranch * KFileTreeView::addBranch | ( | const KURL & | path,
|  | const QString & | name,
|  | const QPixmap & | pix,
|  | bool | showHidden = `false`
| ) | `[virtual]`

| same as the function above but with a pixmap to set for the branch. Definition at line 365 of file kfiletreeview.cpp. References addBranch(), endl(), and kdDebug().

KFileTreeBranch * KFileTreeView::addBranch | ( | KFileTreeBranch * |  | ) | `[virtual]`

| same as the function above but letting the user create the branch. Definition at line 376 of file kfiletreeview.cpp. References QPtrList::append().

bool KFileTreeView::removeBranch | ( | KFileTreeBranch * | branch | ) | `[virtual]`

  | removes the branch from the treeview. Parameters:
  | branch | is a pointer to the branch
Returns: true on success. Definition at line 414 of file kfiletreeview.cpp. References QPtrList::contains(), QPtrList::remove(), and KFileTreeBranch::root().

KFileTreeBranch * KFileTreeView::branch | ( | const QString & | searchName | ) |

  | Returns: a pointer to the KFileTreeBranch in the KFileTreeView or zero on failure. Parameters:
  | searchName | is the name of a branch
Definition at line 390 of file kfiletreeview.cpp. References QPtrListIterator::current(), endl(), kdDebug(), and KFileTreeBranch::name(). Referenced by findItem().

KFileTreeBranchList & KFileTreeView::branches | ( |  | ) |

| Returns: a list of pointers to all existing branches in the treeview. Definition at line 408 of file kfiletreeview.cpp.

void KFileTreeView::setDirOnlyMode | ( | KFileTreeBranch * | branch,
|  | bool |
| ) | `[virtual]`

  | set the directory mode for branches. If true is passed, only directories will be loaded. Parameters:
  | branch | is a pointer to a KFileTreeBranch
Definition at line 428 of file kfiletreeview.cpp. References KDirLister::setDirOnlyMode().

KFileTreeViewItem * KFileTreeView::findItem | ( | KFileTreeBranch * | brnch,
|  | const QString & | relUrl
| ) |

  | searches a branch for a KFileTreeViewItem identified by the relative url given as second parameter. The method adds the branches base url to the relative path and finds the item. Returns: a pointer to the item or zero if the item does not exist. Parameters:
  | brnch | is a pointer to the branch to search in
  | relUrl | is the branch relativ url
Definition at line 625 of file kfiletreeview.cpp. References KURL::addPath(), endl(), QString::endsWith(), KFileItem::extraData(), QDir::isRelativePath(), kdDebug(), KURL::prettyURL(), and QString::truncate(). Referenced by findItem().

KFileTreeViewItem * KFileTreeView::findItem | ( | const QString & | branchName,
|  | const QString & | relUrl
| ) |

| see method above, differs only in the first parameter. Finds the branch by its name. Definition at line 619 of file kfiletreeview.cpp. References branch(), and findItem().

bool KFileTreeView::showFolderOpenPixmap | ( |  | ) | const`[inline]`

| Returns: a flag indicating if extended folder pixmaps are displayed or not. Definition at line 152 of file kfiletreeview.h.

virtual void KFileTreeView::setShowFolderOpenPixmap | ( | bool | showIt = `true` | ) | `[inline, virtual, slot]`

  | set the flag to show 'extended' folder icons on or off. If switched on, folders will have an open folder pixmap displayed if their children are visible, and the standard closed folder pixmap (from mimetype folder) if they are closed. If switched off, the plain mime pixmap is displayed. Parameters:
  | showIt | = false displays mime type pixmap only
Definition at line 163 of file kfiletreeview.h.

bool KFileTreeView::acceptDrag | ( | QDropEvent * | event | ) | const`[protected, virtual]`

| Returns: true if we can decode the drag and support the action Reimplemented from KListView. Definition at line 228 of file kfiletreeview.cpp. References QUriDrag::canDecode(), and KListView::itemsMovable().

The documentation for this class was generated from the following files:

- kfiletreeview.h
- kfiletreeview.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003